#每个日志文件的大小
PER_LOG_FILESIZE = 1024000 * 5
#最多保留的日志文件个数
LOG_FILE_NUM = 3
#日志文件路径
LOG_PATH = "log/ispeaker.log"
#系统信息配置文件
SPEAKER_CONFIG_FILE = "/Users/ssc/zycoo_files/x30/doc/speaker.conf"
#linphone配置信息
LINPHONE_CONFIG_FILE = "/Users/ssc/zycoo_files/x30/doc/linphone.conf"
#mqtt服务器端口号
SERVER_MQTT_PORT = 1883
#mqtt指令主题名
TOPIC_COMMAND = "operation"
#mqtt响应主题名
TOPIC_RESPONSE = "response"
#设备状态改变上报主题
TOPIC_UPDATE = "update"
#设备事件主题
TOPIC_EVENT = "event"
ID = "id"
ACTION_NAME = "action"
STATUS = "statusText"
SOLF_VOLUME = "soft-volume"
HARD_VOLUME = "hard-volume"
HARD_VOLUME_CONTROL = "hard-volume-control"
ERROR = "error"
PLAY = "play"
PAUSE = "pause"
RESUME = "resume"
STOP = "stop"
SET_EXTEN = "set-exten"
DATA = "data"
VOLUME = "volume"
URL = "url"
HOST = "host"
EXTEN = "exten"
PASSWORD = "password"
MQTT_QOS = 1
PLAYER_IDLE = "idle"
PLAYER_PLAYING = "playing"
PLAYER_PAUSE = "pause"
PLAYER_ERROR = "error"
SLEEP_SEC = 0.5
SET_SOLF_VOLUME = "set-soft-volume"
SET_HARD_VOLUME = "set-hard-volume"
MQTT_CONNECT_TIMEOUT = 5
RETRY_SEC = 3
DEVICE_MODEL = "model"
#项目配置文件，用于保存一些运行时变量，如音量，播放状态
PROJECT_CONFIG = "config/server_config_variable.conf"
#各状态检测事件间隔
CHECK_INTERVAL = 2
SET_HARD_VOLUME_CONTROL = "set-hard-volume-control"
VALUE = "value"
ON = "on"
OFF = "off"
#libvlc c库的日志级别
VLC_DEBUG_LEVEL = "DEBUG"
VLC_BUF_LEN = 1024
#多少各关心的警告日志出现就会重播源
VLC_WARNING_COUNT = 6
#多少各关心的错误日志出现就会重播源
VLC_ERROR_COUNT = 6
VLC_SOURCE_ERROR_COUNT = 5
SET_SERVICE_SETTINGS = "set_service_settings"
#rtsp推送执行程序
RTSP_PUSHER = "bin/rtsp_pull_push"
FIFO_PATH = "/Users/ssc/zycoo_code/ispeaker/sock/ispeaker.fifo"